Inicio / Alerta Temprana / Avisos Sci / Desbordamiento de búfer en firmware CPP de Bosch

Desbordamiento de búfer en firmware CPP de Bosch

Fecha de publicación: 
31/03/2022
Importancia: 
3 - Media
Recursos afectados: 

Bosch CPP firmware en CPP4, CPP6, CPP7 y CPP7.3.

Descripción: 

Se han publicado dos vulnerabilidades de desbordamiento de búfer en la imagen de recuperación, que podrían permitir a un atacante el cierre inesperado de la aplicación o la ejecución remota de código.

Solución: 

Actualizar el software de Bosch a una versión correctora.

La actualización de la imagen de recuperación no afecta al funcionamiento de la imagen de firmware normal, pero es necesario reiniciar la cámara después de la carga.

Detalle: 

Un paquete TCP/IP especialmente diseñado puede hacer que la interfaz telnet de la imagen de recuperación de la cámara se bloquee. También puede causar un desbordamiento de búfer que podría permitir la ejecución remota de código. La imagen de recuperación solo puede iniciarse con derechos administrativos o acceso físico a la cámara y permite cargar un nuevo firmware, en caso de que esté dañado. Se han asignado los identificadores CVE-2021-23850 y CVE-2021-23851 para estas vulnerabilidades.

Encuesta valoración